## python-m2r 0.3.1

=== debian/changelog ===
python-m2r (0.3.1-0.1) unstable; urgency=medium

  * Non-maintainer upload, with maintainer's permission.
  * New upstream release.
    - Compatible with docutils 0.19 (closes: #1026288).
  * Drop patches, no longer needed with the new release:
    - debian/patches/0001_fix_Python_3_10.patch
    - debian/patches/1001_modernize_sphinx.patch
  * Refresh 2001_privacy.patch and 2003_mistune0.patch.
  * Drop python3-mock build-dependency. This package uses unittest.mock.
  * Fix built-using-field-on-arch-all-package Lintian warning.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 10 Jan 2023 12:01:56 +0400

python-m2r (0.2.1-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream patch for test failure with Python 3.10 (Closes: #1009396)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 20 Apr 2022 00:03:38 +0200

python-m2r (0.2.1-7) unstable; urgency=medium

  * add patch 2003 to use custom-named Python module mistune0

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Feb 2022 15:17:37 +0100

python-m2r (0.2.1-6) unstable; urgency=medium

  * (build-)depend on python3-mistune0 (not python3-mistune);
    closes: bug#1002163, #1003571,
    thanks to Lucas Nussbaum and Pierre-Elliott Bécue

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Feb 2022 14:46:25 +0100
