=== debian/control ===
--- 
+++ 
@@ -8,8 +8,7 @@
  help2man <!nodoc>,
  python3,
  python3-docutils,
- python3-mistune,
- python3-mock <!nocheck>,
+ python3-mistune0,
  python3-pygments <!nocheck>,
  python3-setuptools,
  python3-sphinx <!nodoc>,
@@ -23,7 +22,7 @@
 Package: python3-m2r
 Architecture: all
 Depends:
- python3-mistune,
+ python3-mistune0,
  python3-docutils,
  ${misc:Depends},
  ${python3:Depends},
@@ -85,8 +84,6 @@
  libjs-mathjax,
  ${sphinxdoc:Depends},
  ${misc:Depends},
-Built-Using:
- ${sphinxdoc:Built-Using},
 Description: Markdown and reStructuredText in a single file - documentation
  M2R converts a markdown file including reStructuredText (rst) markups
  to a valid rst format.
